diff --git a/linux/configs/bookmarks.html b/linux/configs/bookmarks.html
new file mode 100755
index 0000000..a5aa034
--- /dev/null
+++ b/linux/configs/bookmarks.html
@@ -0,0 +1,32 @@
+
+
+
+
Bookmarks
+Bookmarks
+
+
+
Bookmarks Toolbar
+ - Add bookmarks to this folder to see them displayed on the Bookmarks Toolbar
+
+
- Purple I2P Webconsole
+
- Веб-панель управления миром
+
- 333.i2p: Форум, посвященный разработке и поддержке i2pd
+
- 333.i2p: Форум, посвященный разработке и поддержке i2pd
+
- 102chan
+
- ИИ, живущий в даркнете, с кодовым названием "Тлено-тян"
+
- Флибуста
+
- Флибуста - независимый библиотечный ресурс. Как и в любой библиотеке, просьба соблюдать чистоту, порядок и спокойствие. Здесь читают и работают хорошие люди.
+
- I2P Name Registry
+
- Поиск и регистрация в i2p зоне
+
- IdentyGuy
+
- eepsites
+
- HashShop
+
- Скачать торренты бесплатно без СМС
+
- #onelon
+
- onelon - анонимные блоги без цензуры
+
- Профессиональный Эксперт
+
- ARMADA Первый в мире Глобальный Хуяк сервис 24/7
+
+
diff --git a/linux/configs/prefs.js b/linux/configs/prefs.js
new file mode 100755
index 0000000..ed79a4c
--- /dev/null
+++ b/linux/configs/prefs.js
@@ -0,0 +1,70 @@
+# Mozilla User Preferences
+
+/* Do not edit this file.
+ *
+ * If you make changes to this file while the browser is running,
+ * the changes will be overwritten when the browser exits.
+ *
+ * To make a manual change to preferences, you can visit the URL about:config
+ * For more information, see http://www.mozilla.org/unix/customizing.html#prefs
+ */
+
+user_pref("app.update.auto", false);
+user_pref("app.update.enabled", false);
+user_pref("browser.cache.disk.capacity", 65536);
+user_pref("browser.download.useDownloadDir", false);
+user_pref("browser.fixup.alternate.enabled", false);
+user_pref("browser.newtabpage.enhanced", false);
+user_pref("browser.newtabpage.introShown", true);
+user_pref("browser.safebrowsing.malware.enabled", false);
+user_pref("browser.safebrowsing.phishing.enabled", false);
+user_pref("browser.search.geoip.url", false);
+user_pref("browser.search.suggest.enabled", false);
+user_pref("browser.selfsupport.url", "");
+user_pref("browser.shell.checkDefaultBrowser", false);
+user_pref("browser.startup.homepage", "http://i2pd.i2p/");
+user_pref("browser.tabs.crashReporting.sendReport", false);
+user_pref("datareporting.healthreport.about.reportUrl", "");
+user_pref("datareporting.healthreport.service.enabled", false);
+user_pref("datareporting.healthreport.uploadEnabled", false);
+user_pref("datareporting.sessions.current.clean", true);
+user_pref("extensions.autoDisableScopes", 0);
+user_pref("general.warnOnAboutConfig", false);
+user_pref("geo.enabled", false);
+user_pref("intl.locale.matchOS", true);
+user_pref("keyword.enabled", false);
+user_pref("media.eme.enabled", false);
+user_pref("media.gmp-eme-adobe.enabled", false);
+user_pref("media.peerconnection.enabled", false);
+user_pref("network.cookie.prefsMigrated", true);
+user_pref("network.dns.disableIPv6", true);
+user_pref("network.dns.disablePrefetch", true);
+user_pref("network.dns.disablePrefetchFromHTTPS", true);
+user_pref("network.proxy.backup.ftp", "127.0.0.1");
+user_pref("network.proxy.backup.ftp_port", 4444);
+user_pref("network.proxy.backup.socks", "127.0.0.1");
+user_pref("network.proxy.backup.socks_port", 4444);
+user_pref("network.proxy.backup.ssl", "127.0.0.1");
+user_pref("network.proxy.backup.ssl_port", 4444);
+user_pref("network.proxy.ftp", "127.0.0.1");
+user_pref("network.proxy.ftp_port", 4444);
+user_pref("network.proxy.http", "127.0.0.1");
+user_pref("network.proxy.http_port", 4444);
+user_pref("network.proxy.share_proxy_settings", true);
+user_pref("network.proxy.socks", "127.0.0.1");
+user_pref("network.proxy.socks_port", 4444);
+user_pref("network.proxy.socks_remote_dns", true);
+user_pref("network.proxy.ssl", "127.0.0.1");
+user_pref("network.proxy.ssl_port", 4444);
+user_pref("network.proxy.type", 1);
+user_pref("network.cookie.prefsMigrated", true);
+user_pref("noscript.ABE.enabled", false);
+user_pref("noscript.ABE.wanIpAsLocal", false);
+user_pref("plugin.default_plugin_disabled", true);
+user_pref("privacy.trackingprotection.enabled", true);
+user_pref("security.ssl.errorReporting.automatic", false);
+user_pref("security.ssl.errorReporting.enabled", false);
+user_pref("startup.homepage_welcome_url", "about:blank");
+user_pref("startup.homepage_welcome_url.additional", "about:blank");
+user_pref("toolkit.telemetry.enabled", false);
+user_pref("toolkit.telemetry.reportingpolicy.firstRun", false);
\ No newline at end of file
diff --git a/linux/configs/xulstore.json b/linux/configs/xulstore.json
new file mode 100755
index 0000000..9a47c1a
--- /dev/null
+++ b/linux/configs/xulstore.json
@@ -0,0 +1 @@
+{"chrome://browser/content/browser.xul":{"navigator-toolbox":{"iconsize":"small"},"titlebar-placeholder-on-menubar-for-caption-buttons":{"width":"96"},"titlebar-placeholder-on-TabsToolbar-for-captions-buttons":{"width":"96"},"main-window":{"screenX":"0","screenY":"0","width":"1280","height":"720","sizemode":"normal"},"PersonalToolbar":{"collapsed":"false","currentset":"personal-bookmarks"},"toolbar-menubar":{"currentset":"menubar-items"},"TabsToolbar":{"currentset":"tabbrowser-tabs,new-tab-button,alltabs-button"},"addon-bar":{"currentset":"addonbar-closebutton,status-bar"},"sidebar-title":{"value":""}}}
\ No newline at end of file
diff --git a/linux/i2pdbrowserportable.sh b/linux/i2pdbrowserportable.sh
new file mode 100755
index 0000000..b6fde95
--- /dev/null
+++ b/linux/i2pdbrowserportable.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+arch=$(uname -m)
+
+# Configure the following default variables according to your requirements
+#language="en-US" # e.g. "de" or "en-US" # We will detect language from system!
+language=$(echo $LANG | cut -c-5 | sed s/_/-/g)
+# default if no argument is set:
+version="45.6.0esr" # chose from http://download.cdn.mozilla.net/pub/mozilla.org/firefox/releases/
+application="firefox"
+
+echo "This script prepearing $application $version for use with I2Pd"
+#read -n1 -r -p "Press space to continue..." key
+
+file="$application-$version.tar.bz2"
+url="http://ftp.mozilla.org/pub/$application/releases/$version/linux-$arch/$language/$file"
+# or example for firefox nightly:
+#file=firefox-32.0a2.en-US.linux-i686.tar.bz2
+#url=http://download.cdn.mozilla.net/pub/mozilla.org/firefox/nightly/latest-mozilla-aurora/$file
+
+dir="$application-portable-$version"
+mkdir "$dir"
+cd "$dir"
+echo "Downloading $application..."
+wget -q $url
+if [ $? -ne 0 ]; then # Not found error, trying to cut language variable
+ language=$(echo $language | cut -c-2)
+ # re-create variable with cutted lang
+ url="http://ftp.mozilla.org/pub/$application/releases/$version/linux-$arch/$language/$file"
+ wget -q $url
+fi
+if [ ! -f $file ]; then
+ echo "Can't find downloaded file. Does FireFox support your system language?"
+ exit 1;
+fi
+echo "Extracting archive, please wait..."
+tar xfj $file
+rm $file
+mv $application app
+mkdir data
+
+echo "Downloading NoScript extension..."
+wget -q https://addons.mozilla.org/firefox/downloads/latest/noscript/addon-722-latest.xpi?src=search -O app/browser/extensions/{73a6fe31-595d-460b-a920-fcc0f8843232}.xpi
+
+echo "Adding standart configs..."
+cp ../configs/* data/
+
+echo '#!/bin/sh' > "${application}-portable"
+echo 'dir=${0%/*}' >> "${application}-portable"
+echo 'if [ "$dir" = "$0" ]; then' >> "${application}-portable"
+echo ' dir="."' >> "${application}-portable"
+echo 'fi' >> "${application}-portable"
+echo 'cd "$dir/app"' >> "${application}-portable"
+echo './firefox -profile ../data' >> "${application}-portable"
+
+chmod +x "$application-portable"
+echo ... finished
+echo "#close all running instances of another $application version:"
+echo killall $application
+echo "#change into the directory"
+echo "# and start the application there"
+echo cd "$dir"
+echo ./"$application-portable"